robocode (1.9.3.9-4ubuntu0.26.04.1~esm1) resolute-security; urgency=medium

  * SECURITY UPDATE: directory traversal in CacheCleaner
    - debian/patches/CVE-2025-14306.patch: add base directory validation
      to recursivelyDelete() to prevent path traversal in CacheCleaner.java.
    - debian/patches/CVE-2025-14306-post1.patch: add single-argument
      wrapper overload and null-safety checks in CacheCleaner.java.
    - CVE-2025-14306
  * SECURITY UPDATE: insecure temporary file creation in RecordManager
    - debian/patches/CVE-2025-14307.patch: wrap createTempFile operations
      in AccessController.doPrivileged() in RecordManager.java.
    - CVE-2025-14307
  * SECURITY UPDATE: integer overflow in RobotFileOutputStream
    - debian/patches/CVE-2025-14308.patch: add comprehensive bounds
      checking to write() in RobotFileOutputStream.java.
    - CVE-2025-14308

 -- Shafayat Hossain Majumder <shafayat.majumder@canonical.com>  Wed, 03 Jun 2026 11:19:55 -0400

robocode (1.9.3.9-4build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:41:19 +0100

robocode (1.9.3.9-4) unstable; urgency=medium

  * Team upload.
  * Update for maven-javadoc-plugin (>= 3.10.1-2) (Closes: #1088128)

 -- tony mancill <tmancill@debian.org>  Sat, 30 Nov 2024 10:40:11 -0800

robocode (1.9.3.9-3) unstable; urgency=medium

  * Team upload.
  * Depend on libeclipse-jdt-core-java instead of libecj-java
  * Removed the suggested dependency on netbeans and eclipse
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Feb 2023 13:07:24 +0100

robocode (1.9.3.9-2) unstable; urgency=medium

  * Fix the version number in robocode.manifest which prevents robocode
    from running.

 -- Markus Koschany <apo@debian.org>  Thu, 10 Sep 2020 12:44:04 +0200

robocode (1.9.3.9-1) unstable; urgency=medium

  * New upstream version 1.9.3.9.

 -- Markus Koschany <apo@debian.org>  Sun, 03 May 2020 01:52:20 +0200

robocode (1.9.3.8-1) unstable; urgency=medium

  * New upstream version 1.9.3.8
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Remove the obsolete NEWS file.

 -- Markus Koschany <apo@debian.org>  Mon, 20 Apr 2020 00:38:44 +0200

robocode (1.9.3.7-1) unstable; urgency=medium

  * New upstream version 1.9.3.7.

 -- Markus Koschany <apo@debian.org>  Wed, 04 Sep 2019 22:58:49 +0200

robocode (1.9.3.5-1) unstable; urgency=medium

  * New upstream version 1.9.3.5.
  * Repack the tarball and remove the Maven files.
  * Drop CVE-2019-10648.patch. Fixed upstream.
  * Use debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Use canonical VCS-URI.
  * Tighten dependency to java8-runtime.
  * Remove robocode.doc-base file.

 -- Markus Koschany <apo@debian.org>  Wed, 17 Jul 2019 22:35:34 +0200

robocode (1.9.3.3-3) unstable; urgency=medium

  * Use javahelper and add missing library classes to the classpath to fix
    startup error with Java 11.
    Thanks to Bardot Jerome for the report. (Closes: #929483)

 -- Markus Koschany <apo@debian.org>  Fri, 24 May 2019 20:12:30 +0200

robocode (1.9.3.3-2) unstable; urgency=medium

  * Fix CVE-2019-10648:
    Robocode allows remote attackers to cause external service interaction
    (DNS), as demonstrated by a query for a unique subdomain name within an
    attacker-controlled DNS zone, because of a .openStream call within
    java.net.URL. (Closes: #926088)

 -- Markus Koschany <apo@debian.org>  Mon, 08 Apr 2019 00:13:19 +0200

robocode (1.9.3.3-1) unstable; urgency=medium

  * New upstream version 1.9.3.3.
  * Declare compliance with Debian Policy 4.2.1.

 -- Markus Koschany <apo@debian.org>  Thu, 13 Sep 2018 13:52:33 +0200

robocode (1.9.3.2-1) unstable; urgency=medium

  * New upstream version 1.9.3.2.
  * Declare compliance with Debian Policy 4.1.5.
  * Update debian/watch for latest upstream release.
  * Update ecj.patch for new release.

 -- Markus Koschany <apo@debian.org>  Mon, 30 Jul 2018 10:14:46 +0200

robocode (1.9.3.1-1) unstable; urgency=medium

  * New upstream version 1.9.3.1.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Remove alternative java6-runtime dependency.
  * Add maven-assembly.patch and fix FTBFS with Java 9. (Closes: #893415)

 -- Markus Koschany <apo@debian.org>  Mon, 19 Mar 2018 19:07:44 +0100

robocode (1.9.2.6-3) unstable; urgency=medium

  * Target Java 1.7 when compiling Robocode.
  * Remove robocode.dummy.zip in dh_clean to work around a FTBFS related to
    Maven and the maven-assembly-plugin. (Closes: #871348)
  * Declare compliance with Debian Policy 4.1.0.
  * Remove versioned B-D on maven-debian-helper.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Sep 2017 01:49:40 +0200

robocode (1.9.2.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@debian.org>  Mon, 19 Jun 2017 14:47:46 +0200

robocode (1.9.2.6-1) experimental; urgency=medium

  * New upstream version 1.9.2.6.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Update watch file and track github.com releases from now on.
  * Update copyright years.
  * Drop deprecated menu file and do not create xpm image anymore.
    Remove build-dependency on imagemagick.
  * Refresh ecj.patch.

 -- Markus Koschany <apo@debian.org>  Sun, 30 Apr 2017 16:22:47 +0200

robocode (1.9.2.5-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.7.
  * Vcs-Git: Use https.
  * Update showJavaDocumentation.patch to use always default-jdk-doc.
    This will ensure that the menu entry in Robocode will always point to the
    default Java documentation.

 -- Markus Koschany <apo@debian.org>  Thu, 18 Feb 2016 15:18:19 +0100

robocode (1.9.2.5-1) unstable; urgency=medium

  * Imported Upstream version 1.9.2.5.
  * Switch from cdbs to dh sequencer.
  * Use only Build-Depends field.
  * Vcs-Browser: Use https.
  * Update my e-mail address.
  * Update get-orig-source target.
    Package the github releases but watch the sourceforge.net versions.
    Reason: The sourceforge.net releases are corrupted (probably uploaded with
    the wrong FTP mode). The github releases are O.K. but the latest version
    has not been tagged yet.
  * robocode: Suggest netbeans as an alternative IDE.

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jan 2016 08:18:43 +0100

robocode (1.9.2.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Update clean file and remove autogenerated debian files too.

 -- Markus Koschany <apo@gambaru.de>  Mon, 27 Apr 2015 11:29:46 +0200

robocode (1.9.2.4-1) experimental; urgency=medium

  * Imported Upstream version 1.9.2.4. (Closes: #551877) (LP: #377376)
    - Fix compilation errors by using the default-jdk. (LP: #1384691)
  * New build system: Maven
    - Switch to CDBS and maven-debian-helper.
    - New files:
      + maven.ignoreRules
      + maven.properties
      + maven.rules
      + clean
      + robocode.poms
  * debian/control:
    - New build-dependencies:
      junit4, junit4-doc, libcodesize-java, libecj-java,
      libmaven-assembly-plugin-java, libmaven-dependency-plugin-java,
      libmaven-javadoc-plugin-java, libpicocontainer-java,
      libpicocontainer-java-doc
    - robocode: Add ${maven:Depends} substvar.
    - robocode: Recommend default-jdk-doc.
    - Drop robocode-doc. All documentation will be provided by robocode itself.
  * Drop debian/codesize. Codesize is now packaged as a standalone library.
  * Drop all patches because they are all obsolete:
    - 01-use-sensible-browser.diff
    - 02-use-versions.txt-from-usr-share-doc.diff
    - 03-point-api-help-to-robocode-doc.diff
    - 04-link-to-local-docs.diff
    - 05-codesize-jar.diff
    - 06-update-manager.diff
  * Add the following patches:
    - ecj.patch: For preventing a FTBFS. Use Debian's version of the ecj
      compiler. Please note that libecj-java is only needed to compile Robocode
      successfully but that Debian uses the default-jdk compiler instead.
    - showJavaDocumentation.patch: Users should use Debian's local
      default-jdk-doc.
  * Install roborumble example script with robocode.examples file to
    /usr/share/doc/robocode/examples. Please use this script as a template for
    running the Robocode competitions on your computer.
  * Update robocode wrapper script. Use XDG_DATA_HOME as the personal data
    directory for Robocode. All user data will be installed to
    ~/.local/share/robocode/$VER where $VER is the current upstream version.
  * Update debian/watch and detect new upstream releases at github.com.
  * Update get-orig-source target. The sources are pristine now.
  * Update debian/copyright for new release. Robocode is licensed under the
    EPL-1.0 now.
  * Update man page of Robocode for new release.
  * Drop README.source.

 -- Markus Koschany <apo@gambaru.de>  Sun, 23 Nov 2014 18:38:32 +0100

robocode (1.6.2+dfsg2-1) unstable; urgency=medium

  * Acknowledge NMU by Simon Paillard. Unfortunately the changes were
    overridden by the last revision.
  * Add myself to Uploaders and move the package under the umbrella
    of the Java team. (Closes: #590774)
  * Repack robocode and remove sourceless Jacobe.jar file.
  * Depend on default-jre | java6-runtime | java7-runtime instead
    of obsolete Java6 runtime environments alone. (Closes: #760954)
  * Fix obsolete detection of Java6 runtime in robocode wrapper script,
    so that the game can be executed again. (Closes: #766068)
  * Declare compliance with Debian Policy 3.9.6.
  * Use compat level 9 and require debhelper >= 9.
  * Update Vcs-fields to canonical address and move the package to pkg-java
    Git repository.
  * wrap-and-sort -sa.
  * Remove build-dependency on quilt since source format 3.0 uses quilt by
    default.
  * Recommend default-jdk instead of specific JDK versions.
  * Suggest Eclipse IDE.
  * Rename README.Debian-source to README.source
  * Add robocode.menu file. (Closes: #738018)
  * Add keywords to desktop file.
  * Add build-arch and build-indep targets to debian/rules.

 -- Markus Koschany <apo@gambaru.de>  Mon, 20 Oct 2014 17:15:20 +0200

robocode (1.6.2+dfsg-4) unstable; urgency=low

  * Update Vcs-{Git,Browser}.
  * Bump Standards-Version to 3.9.1.
  * Bump Standards-Version to 3.9.2.
  * Orphaning package.

 -- Chris Lamb <lamby@debian.org>  Sun, 09 Feb 2014 00:11:51 +0000

robocode (1.6.2+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use default-java JVM (Closes: #687826)

 -- Simon Paillard <spaillard@debian.org>  Wed, 26 Sep 2012 22:33:12 +0200

robocode (1.6.2+dfsg-3) unstable; urgency=low

  * Update debian/watch regex. Thanks to Rafal Krypa <rafal@krypa.net>.
    (Closes: #551876)
  * Bump Standards-Version to 3.8.4
  * Switch to dpkg-source 3.0 (quilt) format
    - Add all context to diffs as quilt format does not permit any fuzz.
  * Depend on default-jdk-doc instead of classpath-doc and update patches and
    links to match. (Closes: #567292)

 -- Chris Lamb <lamby@debian.org>  Tue, 09 Feb 2010 17:09:46 +0000

robocode (1.6.2+dfsg-2) unstable; urgency=low

  * Add "java2-runtime" as an alternate Depends for people still using
    sun-java6-jdk. (Closes: #545225)
  * Bump Standards-Version to 3.8.3.

 -- Chris Lamb <lamby@debian.org>  Sun, 06 Sep 2009 21:45:49 +0100

robocode (1.6.2+dfsg-1) unstable; urgency=low

  * Repack tarball without codesize.jar (Closes: #527979)
    - Add libbcel-java to Build-Depends-Indep and binary Depends.
    - Patch build.xml to use bcel.jar over codesize.jar.
    - Add a shim codesize layer to use libbcel-java to calculate robot size.
    - Add dversionmangle line to debian/watch.
  * Add patch to disable update manager.
  * Update location of Git repositories.
  * Don't refer to versionless /usr/share/common-licenses/GPL.
  * Bump Standards-Version to 3.8.1.
  * Move to debhelper 7.
    - Add ${misc:Depends} to robocode-doc's Depends.

 -- Chris Lamb <lamby@debian.org>  Sun, 10 May 2009 12:51:55 +0100

robocode (1.6.2-1) unstable; urgency=low

  * New upstream release.
  * New maintainer email address.
  * Move ant from Build-Depends-Indep to Build-Depends so that it's satisfied
    in clean target.
  * Refresh 01-use-sensible-browser.diff.
  * Move from (C) and (c) to "©" in debian/copyright to please Lintian.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Jan 2009 08:52:35 +0000

robocode (1.6.1~beta2-2) unstable; urgency=low

  * Build-Depend on classpath-doc and patch upstream's build.xml to link
    documentation there instead of on the web to prevent FTBFS when building
    with no internet connection (Closes: #494222)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 08 Aug 2008 22:21:12 +0100

robocode (1.6.1~beta2-1) unstable; urgency=low

  * New upstream release.
  * Depend on openjdk6-jre instead of sun-javaX-jre - upload to main.
  * Tidy /usr/bin/robocode wrapper and add support for openjdk-6-jre.
  * Remove "Encoding" key from robocode.desktop.
  * debian/control:
    - Bump Standards-Version to 3.8.0.
    - Move imagemagick to Build-Depends-Indep.
  * Move to quilt patch system.
  * Rename 'upstream' target in debian/rules to 'get-orig-source'.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Wed, 16 Jul 2008 13:30:35 +0100

robocode (1.6.0~beta2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 18 Apr 2008 23:44:46 +0100

robocode (1.5.2-1) unstable; urgency=low

  * Initial release. (Closes: #455519)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 24 Jan 2008 19:37:42 +0000
